Can I use the latest version of YUI alongside AUI in liferay 6.1?

We are not yet ready to move to 6.2, but don’t want to add unnecessary barriers. In the alloyui upgrade from 1.5 to 2.0, many widgets disappear :

excerpt from Reintroducing AlloyUI (or meet Alloy 2.0):

Fewer Components

The last version of AlloyUI had 73 components, but for this first
release of AlloyUI 2.0, we’re going to have 20 components

One of the disappearing components is AutoComplete. To prepare for our future migration, I would much rather use the ‘standard’ YUI Autocomplete instead of the one in AlloyUI 1.5.

Hence my question:

Is it possible to use YUI separately from AUI in liferay 6.1 (We are on 6.1.2 ga3) ?

Alain

2 answers on “Can I use the latest version of YUI alongside AUI in liferay 6.1?

  1. I think not, It’s not possible.
    AUI is strongly based on YUI 3.3, i think it’s a way full of pains to change the YUI version.

    You could use jQuery if AUI doesn’t fits your needs now.

  2. Yes, you can use both without problems. You can use ALL YUI widgets you see on their page. Not only that, but you can use any of the widgets in YUI Gallery!

    Hope that helps!

Comments are closed.